<?php 

if (isset($_GET['id'])) 
{
  $id = (int) $_GET['id'];
  $tariff = $coins_tariffs['coins_list'][$id];
  $wmr = ($tariff['coins'] * $coins_tariffs['coins_course']);
  
  if (mysql_result(mysql_query("SELECT COUNT(*) FROM `payment` WHERE `client_id` = '$user[id]' AND `service` = 'coins' AND `paid` = '0' AND `wmr` = '$wmr' AND `count` = '$tariff[coins]'"), 0) == 0) 
  {
    mysql_query("INSERT INTO `payment` (`client_id`, `time`, `name`, `service`, `wmr`, `count`, `discount`) 
    VALUES ('$user[id]', '$time', 'Покупка " . des2num($tariff['coins'], $config['coins_name']) . "', 'coins', '$wmr', '$tariff[coins]', '$tariff[discount]')");
  }  
  
  $pays = mysql_fetch_assoc(mysql_query("SELECT * FROM `payment` WHERE `client_id` = '$user[id]' AND `service` = 'coins' AND `paid` = '0' AND `wmr` = '$wmr' AND `count` = '$tariff[coins]' LIMIT 1"));
  
  if (isset($pays['id'])) {
    header('Location: /payment/?service=coins&id=' . $pays['id']);
    exit;    
  } else {
    $err[] = __('Ошибка при создании счета');
  }
}

$set['title'] = __('Получить') . ' ' . $config['coins_name'][2]; 
include_once H.'sys/inc/thead.php';
title();
aut();
err();
?>


<div class="nav1">
Общение <?= $config['site_name']?> абсолютно БЕСПЛАТНО! Покупая <?= $config['coins_name'][1]?>, Вы оплачиваете лишь дополнительные привилегии: подарки, цвет ника и т.д.!
</div>

<? foreach($coins_tariffs['coins_list'] AS $key => $post) { ?>
  <div class="nav2">
    <a href="?func=coins.tariffs&amp;id=<?= $key?>">
      <img src="/<?= $config['patch_icons']?>/coins-plus.png" /> 
      <?= __('Купить')?> <?= des2num($post['coins'], $config['coins_name'])?>
    </a>
    
    <? if ($post['discount'] > 0) { ?>
      скидка <span class="on"><?= ($post['discount'])?>%</span>
    <? } ?>
  </div>
<? } ?>

<div class="mess">
<?= __('Курс покупки')?>: 
<?= des2num(1, $config['coins_name'])?> = <?= des2num(floor($coins_tariffs['coins_course']), array('рубль', 'рубля', 'рублей'))?> 
<?= des2num(($coins_tariffs['coins_course'] - floor($coins_tariffs['coins_course'])) * 100, array('копейка', 'копейки', 'копеек'))?> 
</div>

